List templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"key": "<string>",
"channel": "email",
"subject_template": "<string>",
"body_template": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"name": "<string>",
"body_template_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
}
],
"variables": [
"<unknown>"
],
"metadata": {}
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Message templates
List templates
Your organization’s message templates, by name from A to Z, a template with no name going by its key. Needs read on Communications.
GET
/
api
/
communications
/
templates
List templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"key": "<string>",
"channel": "email",
"subject_template": "<string>",
"body_template": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"name": "<string>",
"body_template_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
}
],
"variables": [
"<unknown>"
],
"metadata": {}
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Query Parameters
Only templates in this status.
Available options:
active, draft, archived How many to return. 25 unless you say, 100 at most.
Required range:
1 <= x <= 100How many to skip, for the next page.
Required range:
x >= 0